Skip to main content
PATCH
/
organizations
/
{organization_id}
/
projects
/
{project_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "organization_id": "<string>",
  "subscription_id": "<string>",
  "vendor": "<string>",
  "region": "<string>",
  "title": "<string>",
  "type": "grid",
  "plan": "<string>",
  "timezone": "<string>",
  "default_branch": "<string>",
  "status": "requested",
  "trial_plan": true,
  "project_ui": "<string>",
  "locked": true,
  "cse_notes": "<string>",
  "dedicated_tag": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "_links": {
    "self": {
      "href": "<string>"
    },
    "update": {
      "href": "<string>",
      "method": "<string>"
    },
    "delete": {
      "href": "<string>",
      "method": "<string>"
    },
    "activities": {
      "href": "<string>"
    },
    "addons": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

project_id
string
required

The ID of the project.

Body

application/json
title
string

The title of the project.

plan
string

The project plan.

timezone
string

Timezone of the project.

cse_notes
string

CSE notes.

dedicated_tag
string

Dedicated tag.

Response

OK

id
string

The ID of the project.

organization_id
string

The ID of the organization.

subscription_id
string

The ID of the subscription.

vendor
string

Vendor of the project.

region
string

The machine name of the region where the project is located.

title
string

The title of the project.

type
enum<string>

The type of projects.

Available options:
grid,
dedicated
plan
string

The project plan.

timezone
string

Timezone of the project.

default_branch
string

Default branch.

status
enum<string>

The status of the project.

Available options:
requested,
active,
failed,
suspended,
deleted
trial_plan
boolean

Whether the project is currently on a trial plan.

project_ui
string

The URL for the project's user interface.

locked
boolean

Locked

cse_notes
string

CSE notes.

dedicated_tag
string

Dedicated tag.

created_at
string<date-time>

The date and time when the resource was created.

updated_at
string<date-time>

The date and time when the resource was last updated.